<?php

namespace Application\Controller\v2;

use Application\Models\logic\patientForm\PatientFormLogic;
use Application\Mvc\Controller\BasicController;
use Application\Service\Extension\Logger\BasicLogger;
use Laminas\View\Model\JsonModel;


class PatientFormController extends BasicController
{
    /**
     * 受试者表单激活/失活
     * @return JsonModel
     */
    public function inactiveAction(): JsonModel
    {
        $logicModel = new PatientFormLogic();
        $logicModel->setLogger(new BasicLogger());
        $logicModel->executeWithTransaction('inactive');

        return $this->RenderApiJson()->Success();
    }
}
